//
// Created by sebastian on 07.02.26.
//

#ifndef INPUTMANAGER_H
#define INPUTMANAGER_H
#include "glm/vec2.hpp"


class InputManager {
public:
    static bool isKeyPressed(int keycode);
    static bool isMouseButtonPressed(int button);

    static glm::vec2 getMousePosition();
    glm::vec2 getMouseDelta();

};



#endif //INPUTMANAGER_H
